Subject: RE: apsCommandSwitch in draft-ietf-atommib-sonetaps-mib-04

From: "Faye Ly" <[email-masked]>
Date: Fri, 18 May 2001 15:01:43 -0700

Michael and Jim,

I would agree except that I didn't follow the suggestion closely enough
to
determine if the apsCommandSwitch dictates such a specific requirement
on
the SNMP error return?  Normally if command and command status have
different
values, they should be represented by two objects.  One is used to set 
command and the other is used to show the actual command that was
executed or
the command status.

-faye

-----Original Message-----
From: Michael Thatcher [mailto:[email-masked]]
Sent: Friday, May 18, 2001 10:32 AM
To: Jim Kuhfeld
Cc: Muly Ilan; [email-masked]
Subject: Re: apsCommandSwitch in draft-ietf-atommib-sonetaps-mib-04

I don't belive this additional text is required.  It is clear that snmp
requires an
error return when a set cannot complete for whatever reason.  What error
is returned
is dependent on when during set processing the problem is detected.

miket

Jim Kuhfeld wrote:

> I would expect an error in that case, and could add language to that
effect to the
> description.
>
>      If the APS switch command cannot be set because an
>      equal or higer priority request is in effect, an
>      inconsistentValue error is returned.
>
> On Thu, May 17, 2001 at 09:47:18PM +0200, Muly Ilan wrote:
> > All,
> >
> > The description of the attribute apsCommandSwitch includes " ....
The return
> > of the last command written does not imply that this command is
currently in
> > effect. This request may have been preempted by a higer priority
local or
> > remote request. ...."
> >
> > What happens, SNMP wise,  in the opposite case when a command is
sent to the
> > NE but can't be executed because of existing higher priority local
or remote
> > request?
> > Should the SNMP set-response indicate an error? Should the last
value
> > written be kept in the apsCommandSwitch object or maybe ignore the
last
> > value because it was never performed and according to GR-253-CORE
there is
> > no pending of external requests?
> >
> > BTW, the spelling of "higer" is not mine, it's in the original
draft.
> > Muly Ilan
> > Corrigent Systems